# AddNotificationDialog class

Slider for scheduling a notification

## Constructors

AddNotificationDialog (BuildContext context, Function getResult, NotesModel nm, AddNoteScreenState parent)

## Properties

getResult ↔ Function
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
parent ↔ AddNoteScreenState
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

cancelScheduledNotification () → void
  Cancels notifications
getInitialDateTime () → DateTime
  Returns time that was scheduled if user already created a notification
getTime () → TZDateTime
  Gets time from DateTimePicker
initTimeZone () → void
  Initializes user timezone
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
onDidReceiveLocalNotification (int id, String title, String body, String payload) → Future
  DummyFunction
saveNotification () → Future
  Saves notification in db
scheduleNotification () → Future
  Schedules notification
selectNotification (String payload) → Future
  DummyFunction
showDialog () → void
  Opens slider
toString () → String
  Returns a string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator. [...]
  inherited